Summary: Bronc - Flexible front end to RRD-tool 
Name: bronc
Version: 0.60
Release: 2mdk
License: GPL
Group: Monitoring
Source0: ftp://ftp.blueaspen.com/bronc/%{name}-%{version}.tar.bz2
Source1 :createrrd
Patch : bronc.config.patch.bz2
URL: http://bronc.blueaspen.com
BuildRoot:%{_tmppath}/%{name}-build-%{version}
Requires: apache-mod_perl perl-Time-HiRes perl-URI HTML-Embperl 
Requires: HTML-Mason perl-Magick ucd-snmp-utils rrdtool

%description
Bronc is a collection of perl scripts, mod_perl scripts, and Mason templates
that are designed to provide a highly flexible, extensible front-end to
Tobi Oetiker's RRDtool (http://ee-staff.ethz.ch/~oetiker/webtools/rrdtool/).
While there are other RRDtool front-ends available, I believe that this
implementation has several advantages over other front-ends.  First of
all, it uses a wonderful templating/caching engine called Mason
(http://masonhq.com) to powerful definitions of the graphs you want
to create. Secondly, the graphing engine which interfaces with RRDtool
is written in Perl and designed to be run from mod_perl makes it
quite fast with very little system overhead.

%prep
%setup -q 

%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT

eval "`perl -V:installarchlib`"
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}/rrd_files
mkdir -p $RPM_BUILD_ROOT/var/www/%{name}/{data,htdocs}
mkdir -p $RPM_BUILD_ROOT/var/log/%{name}
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/conf/addon-modules
mkdir -p $RPM_BUILD_ROOT/$installarchlib/Apache
cp -a community_map apache_stuff $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}
cp -a badger.conf definitions $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}/
cp -a Grapher.pm $RPM_BUILD_ROOT/$installarchlib/Apache
cp -a badger.pl epochtime.pl get_load_avg.pl %{SOURCE1} $RPM_BUILD_ROOT/%{_bindir} 
cp -a *.html chef $RPM_BUILD_ROOT/var/www/bronc/htdocs
cp -a apache_stuff/mason_handler.pl $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/conf/addon-modules
touch $RPM_BUILD_ROOT/var/log/%{name}/{error_log,access_log,snmp-debug.log}

%post
touch $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}/rrd_files/`echo $HOSTNAME`.rrd
cat %{_sysconfdir}/%{name}/apache_stuff/stuff_for_httpd_single_config.conf >> %{_sysconfdir}/httpd/conf/httpd-perl.conf 
perl -pi -e "s|hazzard.bikeworld.net|`echo $HOSTNAME`|" %{_sysconfdir}/%{name}/community_map
perl -pi -e "s|hazzard.bikeworld.net|`echo $HOSTNAME`|" %{_sysconfdir}/%{name}/badger.conf
perl -pi -e "s|hazzard|`echo $HOSTNAME`|" %{_sysconfdir}/%{name}/badger.conf
perl -pi -e "s|hazzard|`echo $HOSTNAME`|" %{_sysconfdir}/%{name}/definitions
perl -pi -e "s|bronc.blueaspen.com|`echo $HOSTNAME`|" /var/www/%{name}/htdocs/chef
perl -pi -e "s|bronc.blueaspen.com|`echo $HOSTNAME`|" /var/www/%{name}/htdocs/single.html
perl -pi -e "s|bronc.blueaspen.com|`echo $HOSTNAME`|" /var/www/%{name}/htdocs/breakdown.html
perl -pi -e "s|bronc.blueaspen.com|`echo $HOSTNAME`|" /var/www/%{name}/htdocs/myrouter.html

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc INSTALL COPYRIGHT COPYING WHATSNEW
%config(noreplace) %{_sysconfdir}/%{name}/*
%config(noreplace)%{_sysconfdir}/httpd/conf/addon-modules
%attr(0755,root,root)%{_bindir}/*
%attr(0700,apache,apache)/var/log/%{name}/*
/var/www/%{name}/*
%{perl_archlib}/*

%changelog
* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.60-2mdk
- Rebuild against perl 5.6.1.
* Fri Oct 13 2000 Florin Grad <florin@mandrakesoft.com> 0.60-1mdk
- first attempt
